# Uses of Class
org.apache.sysds.parser.dml.DmlParser.ProgramrootContext

Packages that use DmlParser.ProgramrootContext
Package
Description
org.apache.sysds.parser.dml

## Uses of DmlParser.ProgramrootContext in org.apache.sysds.parser.dml

Methods in org.apache.sysds.parser.dml that return DmlParser.ProgramrootContext
Modifier and Type
Method
Description
`final DmlParser.ProgramrootContext`
DmlParser.`programroot()`
Methods in org.apache.sysds.parser.dml with parameters of type DmlParser.ProgramrootContext
Modifier and Type
Method
Description
`void`
DmlBaseListener.`enterProgramroot(DmlParser.ProgramrootContext ctx)`
Enter a parse tree produced by `DmlParser.programroot()`.
`void`
DmlListener.`enterProgramroot(DmlParser.ProgramrootContext ctx)`
Enter a parse tree produced by `DmlParser.programroot()`.
`void`
DmlPreprocessor.`enterProgramroot(DmlParser.ProgramrootContext ctx)`
`void`
DmlSyntacticValidator.`enterProgramroot(DmlParser.ProgramrootContext ctx)`
`void`
DmlBaseListener.`exitProgramroot(DmlParser.ProgramrootContext ctx)`
Exit a parse tree produced by `DmlParser.programroot()`.
`void`
DmlListener.`exitProgramroot(DmlParser.ProgramrootContext ctx)`
Exit a parse tree produced by `DmlParser.programroot()`.
`void`
DmlPreprocessor.`exitProgramroot(DmlParser.ProgramrootContext ctx)`
`void`
DmlSyntacticValidator.`exitProgramroot(DmlParser.ProgramrootContext ctx)`